XScreenSaver(1)

NAME
halftone - simple halftone pattern of moving mass points

SYNOPSIS
halftone [-display host:display.screen] [-visual visual] [-window] [-root] [-count number] [-spacing number] [-sizefactor number] [-delay number] [-minmass number] [-maxmass number] [-minspeed number] [-maxspeed number] [-fps]

DESCRIPTION
Draws the gravity force in each point on the screen seen through a halftone dot pattern. The gravity force is calculated from a set of moving mass points. View it from a distance for best effect.

OPTIONS

-visual visual
    Specify which visual to use. Legal values are the name of a visual class, or the id number (decimal or hex) of a specific visual.

-window
    Draw on a newly-created window. This is the default.

-root
    Draw on the root window.

-count number
    How many mass points to move around. Default: 10

-spacing number
    Distance between each halftone dot. Default: 14

-sizefactor number
    How big each halftone dot should be drawn compared to the spacing value. Default: 1.5

-minmass number
    The minimum mass of each mass point. Default: 0.001

-maxmass number
    The maximum mass of each mass point. Default: 0.02

-minspeed number
    The minimum speed of each mass point. Default: 0.001

-maxspeed number
    The maximum speed of each mass point. Default: 0.02 -delay number Per-frame delay, in microseconds. Default: 10000

-fps
    Display the current frame rate and CPU load.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

SEE ALSO
X(1), xscreensaver(1)

COPYRIGHT
Copyright © 2002 by Peter Jaric. Permission to use, copy, modify, distribute, and sell this software and its documentation for any purpose is hereby granted without fee, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. No representations are made about the suitability of this software for any purpose. It is provided "as is" without express or implied warranty.

AUTHOR
Peter Jaric